﻿/// \file
/// \brief Définition de la classe Admin.
/// \author Rémi Lavergne - Yvan Calatayud

using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    /// <summary>
    /// Représente un administrateur qui hérite d'Utilisateur.
    /// </summary>
    [DataContract]
    public class Admin : Utilisateur
    {
        /// <summary>
        /// Constructeur qui initialise une nouvelle instance de la classe <see cref="Admin"/> qui hérite de <see cref="Utilisateur"/>.
        /// </summary>
        /// <param name="mail">L'adresse e-mail de l'administrateur.</param>
        /// <param name="pseudo">Le pseudo de l'administrateur.</param>
        /// <param name="mdp">Le mot de passe de l'administrateur.</param>
        public Admin(string mail, string pseudo, string mdp) : base(mail, pseudo, mdp)
        {
            EstAdmin = true;
        }
    }

}
